Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 3564)
+++ .hgsubstate	(revision 3549)
@@ -1,1 +1,1 @@
-ebf44af6bda6b0c952a018917aab42d1d57b0921 inc/libs/clearbricks
+31cc764e47c0edb22866311ff1ad4484173b17f9 inc/libs/clearbricks
Index: admin/install/check.php
===================================================================
--- admin/install/check.php	(revision 3565)
+++ admin/install/check.php	(revision 3137)
@@ -49,5 +49,5 @@
 	}
 
-	if ($con->driver() == 'mysql' || $con->driver() == 'mysqli' || $con->driver() == 'mysqlimb4')
+	if ($con->driver() == 'mysql' || $con->driver() == 'mysqli')
 	{
 		if (version_compare($con->version(),'4.1','<'))
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 3565)
+++ admin/install/wizard.php	(revision 3404)
@@ -201,5 +201,5 @@
 '<form action="wizard.php" method="post">'.
 '<p><label class="required" for="DBDRIVER"><abbr title="'.__('Required field').'">*</abbr> '.__('Database type:').'</label> '.
-    form::combo('DBDRIVER',array(__('MySQL (deprecated)')=>'mysql',__('MySQLi')=>'mysqli',__('MySQLi (full UTF-8)')=>'mysqlimb4',__('PostgreSQL')=>'pgsql',__('SQLite')=>'sqlite'),$DBDRIVER).'</p>'.
+    form::combo('DBDRIVER',array(__('MySQL (deprecated)')=>'mysql',__('MySQLi')=>'mysqli',__('PostgreSQL')=>'pgsql',__('SQLite')=>'sqlite'),$DBDRIVER).'</p>'.
 '<p><label for="DBHOST">'.__('Database Host Name:').'</label> '.
 form::field('DBHOST',30,255,html::escapeHTML($DBHOST)).'</p>'.
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 3566)
+++ admin/preferences.php	(revision 3560)
@@ -46,5 +46,4 @@
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
 $user_ui_hidemoreinfo = $core->auth->user_prefs->interface->hidemoreinfo;
-$user_ui_hidehelpbutton = $core->auth->user_prefs->interface->hidehelpbutton;
 $user_ui_htmlfontsize = $core->auth->user_prefs->interface->htmlfontsize;
 $user_ui_dynfontsize = $core->auth->user_prefs->interface->dynfontsize;
@@ -246,5 +245,4 @@
 		$core->auth->user_prefs->interface->put('enhanceduploader',!empty($_POST['user_ui_enhanceduploader']),'boolean');
 		$core->auth->user_prefs->interface->put('hidemoreinfo',!empty($_POST['user_ui_hidemoreinfo']),'boolean');
-		$core->auth->user_prefs->interface->put('hidehelpbutton',!empty($_POST['user_ui_hidehelpbutton']),'boolean');
 		$core->auth->user_prefs->interface->put('htmlfontsize',$_POST['user_ui_htmlfontsize'],'string');
 		$core->auth->user_prefs->interface->put('dynfontsize',!empty($_POST['user_ui_dynfontsize']),'boolean');
@@ -526,8 +524,4 @@
 __('Hide all secondary information and notes').'</label></p>'.
 
-'<p><label for="user_ui_hidehelpbutton" class="classic">'.
-form::checkbox('user_ui_hidehelpbutton',1,$user_ui_hidehelpbutton).' '.
-__('Hide help button').'</label></p>'.
-
 '<p><label for="user_ui_htmlfontsize" class="classic">'.__('Font size:').'</label>'.' '.
 form::combo('user_ui_htmlfontsize',$htmlfontsize_combo,$user_ui_htmlfontsize).'</p>'.
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 3566)
+++ inc/admin/lib.dc.page.php	(revision 3509)
@@ -352,9 +352,7 @@
 
 		if (!$GLOBALS['__resources']['ctxhelp']) {
-			if (!$core->auth->user_prefs->interface->hidehelpbutton) {
-				echo
-				'<p id="help-button"><a href="'.$core->adminurl->get("admin.help").'" class="outgoing" title="'.
-				__('Global help').'">'.__('Global help').'</a></p>';
-			}
+			echo
+			'<p id="help-button"><a href="'.$core->adminurl->get("admin.help").'" class="outgoing" title="'.
+			__('Global help').'">'.__('Global help').'</a></p>';
 		}
 
@@ -598,10 +596,6 @@
 	{
 		global $core;
-
-		if ($core->auth->user_prefs->interface->hidehelpbutton) {
-			return;
-		}
-
 		$args = func_get_args();
+
 		$args = new ArrayObject($args);
 
Index: inc/config.php.in
===================================================================
--- inc/config.php.in	(revision 3565)
+++ inc/config.php.in	(revision 3533)
@@ -12,5 +12,5 @@
 if (!defined('DC_RC_PATH')) { return; }
 
-// Database driver (mysql (deprecated, disabled in PHP7), mysqli, mysqlimb4 (full UTF-8), pgsql, sqlite)
+// Database driver (mysql (deprecated, disabled in PHP7), mysqli, pgsql, sqlite)
 define('DC_DBDRIVER','');
 
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 3565)
+++ inc/core/class.dc.blog.php	(revision 3423)
@@ -694,5 +694,5 @@
 		if (!$rs->isEmpty())
 		{
-			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') {
+			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') {
 				$clause = "REGEXP '^".$this->con->escape($url)."[0-9]+$'";
 			} elseif ($this->con->driver() == 'pgsql') {
@@ -1939,5 +1939,5 @@
 		if (!$rs->isEmpty())
 		{
-			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') {
+			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') {
 				$clause = "REGEXP '^".$this->con->escape($url)."[0-9]+$'";
 			} elseif ($this->con->driver() == 'pgsql') {
Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 3565)
+++ inc/core/class.dc.core.php	(revision 3402)
@@ -72,6 +72,4 @@
 		} elseif ($this->con instanceof mysqliConnection) {
 			mysqliConnection::$weak_locks = true;
-		} elseif ($this->con instanceof mysqlimb4Connection) {
-			mysqlimb4Connection::$weak_locks = true;
 		}
 
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 3563)
+++ inc/prepend.php	(revision 3562)
@@ -144,5 +144,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.13-dev');
+define('DC_VERSION','2.12');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: inc/public/lib.tpl.context.php
===================================================================
--- inc/public/lib.tpl.context.php	(revision 3507)
+++ inc/public/lib.tpl.context.php	(revision 3567)
@@ -122,10 +122,7 @@
 	}
 
-	public static function global_filters($str,$_args,$tag='')
-	{
-		$_args[0] = &$str;
-
-		# Terrible hack to pass args values by reference
-		$args = new ArrayObject($_args);
+	public static function global_filters($str,$args,$tag='')
+	{
+		$args[0] = &$str;
 
 		# --BEHAVIOR-- publicBeforeContentFilter
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 3566)
+++ locales/fr/main.po	(revision 3557)
@@ -2195,7 +2195,4 @@
 msgstr "Cacher les informations secondaires et les notes"
 
-msgid "Hide help button"
-msgstr "Cacher le bouton d'aide"
-
 msgid "Font size:"
 msgstr "Taille de police de caractère :"
Index: plugins/importExport/inc/flat/class.flat.import.php
===================================================================
--- plugins/importExport/inc/flat/class.flat.import.php	(revision 3565)
+++ plugins/importExport/inc/flat/class.flat.import.php	(revision 3323)
@@ -164,5 +164,5 @@
 					if (in_array($last_line_name,$constrained)) {
 						# UNDEFER
-						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') $this->con->execute('SET foreign_key_checks = 1');
+						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') $this->con->execute('SET foreign_key_checks = 1');
 						if ($this->con->driver() == 'pgsql') $this->con->execute('SET CONSTRAINTS ALL DEFERRED');
 					}
@@ -170,5 +170,5 @@
 					if (in_array($line->__name,$constrained)) {
 						# DEFER
-						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') $this->con->execute('SET foreign_key_checks = 0');
+						if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') $this->con->execute('SET foreign_key_checks = 0');
 						if ($this->con->driver() == 'pgsql') $this->con->execute('SET CONSTRAINTS ALL IMMEDIATE');
 					}
@@ -209,5 +209,5 @@
 			}
 
-			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli' || $this->con->driver() == 'mysqlimb4') $this->con->execute('SET foreign_key_checks = 1');
+			if ($this->con->driver() == 'mysql' || $this->con->driver() == 'mysqli') $this->con->execute('SET foreign_key_checks = 1');
 			if ($this->con->driver() == 'pgsql') $this->con->execute('SET CONSTRAINTS ALL DEFERRED');
 		}