Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3503)
+++ admin/style/default.css	(revision 3513)
@@ -245,13 +245,13 @@
   font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif; }
   @media screen and (max-width: 26.5em) {
-    body {
+    body.responsive-font {
       font-size: 1.2rem;
       line-height: 1.3; } }
   @media screen and (min-width: 120em) {
-    body {
+    body.responsive-font {
       font-size: 1.6rem;
       line-height: 1.5; } }
   @media screen and (min-width: 26.5em) and (max-width: 120em) {
-    body {
+    body.responsive-font {
       font-size: calc( 1.2rem + 0.4 * (100vw - 42.4rem) / (192 - 42.4));
       line-height: calc( 1.3em + (1.5 - 1.3) * (100vw - 42.4rem) / (192 - 42.4)); } }
@@ -610,18 +610,5 @@
     width: 96%;
     margin-left: 0;
-    margin-right: 0; }
-
-  #entry-wrapper {
-    float: none;
-    width: 100%;
-    margin-right: 0; }
-
-  #entry-content {
-    margin-right: 0;
-    margin-left: 0; }
-
-  #entry-sidebar {
-    width: 100%;
-    float: none; } }
+    margin-right: 0; } }
 @media screen and (max-width: 38em) {
   #header h1,
@@ -865,6 +852,5 @@
   text-transform: uppercase;
   font-weight: bold;
-  color: #333;
-  text-shadow: 0 1px 0 rgba(200, 200, 200, 0.6); }
+  color: #333; }
 
 #entry-sidebar h5 {
@@ -1223,6 +1209,5 @@
   background-color: #25a6e1;
   background-image: linear-gradient(to bottom, #25a6e1, #188bc0);
-  border-color: #25a6e1;
-  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25); }
+  border-color: #25a6e1; }
 
 input[type=submit]:hover,
@@ -1256,6 +1241,5 @@
   background-image: linear-gradient(to bottom, #f9f9f9, #eaeaea);
   background-repeat: repeat-x;
-  border-color: #dfdfdf #dfdfdf #c5c5c5;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.9); }
+  border-color: #dfdfdf #dfdfdf #c5c5c5; }
 
 button:hover,
@@ -1308,6 +1292,5 @@
   background-image: linear-gradient(to bottom, #dc5f59, #b33630);
   background-repeat: repeat-x;
-  border-color: #cd504a;
-  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3); }
+  border-color: #cd504a; }
 
 #info-box a.button,
@@ -1322,6 +1305,5 @@
   background-image: linear-gradient(to bottom, #bee74b, #9bca1c);
   border-color: #bee74b;
-  padding: .33em 1.33em .5em;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  padding: .33em 1.33em .5em; }
 
 .button.add:hover,
@@ -1348,5 +1330,4 @@
 button.disabled,
 button[type=submit].disabled {
-  text-shadow: none;
   color: #676e78;
   background: #F5F5F5;
@@ -1372,5 +1353,4 @@
   font-size: 0.825em;
   color: #333;
-  text-shadow: none;
   background: #fff;
   box-shadow: none;
@@ -1417,5 +1397,4 @@
 .addMeta button:not(.metaGetMore),
 .addMeta a:not(.metaGetMore) {
-  text-shadow: initial;
   box-shadow: initial;
   margin-bottom: 2px; }
@@ -1434,6 +1413,5 @@
   display: inline-block;
   line-height: 1.5em;
-  border-radius: 3px;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  border-radius: 3px; }
 
 .warn,
@@ -1481,6 +1459,5 @@
 .error {
   background: #FFBABA url(msg-error.png) no-repeat 0.7em 0.7em;
-  color: #000;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  color: #000; }
 
 .message,
@@ -1497,6 +1474,5 @@
 .success,
 .warning-msg {
-  color: #000;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6); }
+  color: #000; }
 
 .success {
@@ -1535,5 +1511,4 @@
   border-radius: 8px;
   background: #A2CBE9 url(msg-success.png) no-repeat 0.7em 0.7em;
-  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6);
   color: #000;
   box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1); }
@@ -1736,5 +1711,4 @@
     border-top-left-radius: 0;
     border-bottom-left-radius: 0;
-    text-shadow: none;
     border: none;
     border-left: 1px solid #999;
@@ -2750,16 +2724,32 @@
   vertical-align: baseline; }
 
+#entry-form {
+  display: flex;
+  flex-wrap: wrap; }
+
 #entry-wrapper {
-  float: left;
-  width: 100%;
-  margin-right: -16em; }
+  flex-grow: 1;
+  width: calc(100% - 19em); }
+  @media screen and (max-width: 80em) {
+    #entry-wrapper {
+      width: 100%; } }
 
 #entry-content {
-  margin-right: 18em;
-  margin-left: 0; }
+  margin-left: 0;
+  padding-right: 3em; }
+  @media screen and (max-width: 38em) {
+    #entry-content {
+      padding-right: 1em; } }
 
 #entry-sidebar {
-  width: 16em;
-  float: right; }
+  display: flex;
+  flex-wrap: wrap;
+  flex-direction: column; }
+  @media screen and (max-width: 80em) {
+    #entry-sidebar {
+      flex-direction: row; } }
+  @media screen and (max-width: 38em) {
+    #entry-sidebar {
+      padding-right: 1em; } }
   #entry-sidebar h4 {
     font-size: 1.08em;
@@ -2771,6 +2761,9 @@
 
 .sb-box {
-  border-bottom: 1px solid #dfdfdf;
-  margin-bottom: 1em; }
+  width: 18em;
+  margin-bottom: 1em;
+  margin-right: 1em;
+  padding: .5em 1em;
+  background-color: #f3f3f3; }
 
 #tb_excerpt {
Index: admin/style/scss/partials/_buttons.scss
===================================================================
--- admin/style/scss/partials/_buttons.scss	(revision 3465)
+++ admin/style/scss/partials/_buttons.scss	(revision 3513)
@@ -64,5 +64,4 @@
 	@include background-image(linear-gradient(to bottom, #25a6e1, #188bc0));
 	border-color: #25a6e1;
-	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
 }
 
@@ -101,5 +100,4 @@
 	background-repeat: repeat-x;
 	border-color: #dfdfdf #dfdfdf #c5c5c5;
-	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.9);
 }
 
@@ -158,5 +156,4 @@
 	background-repeat: repeat-x;
 	border-color: #cd504a;
-	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.3);
 }
 
@@ -174,7 +171,4 @@
 	border-color: #bee74b;
 	padding: .33em 1.33em .5em;
-	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6);
-	//    font-weight: normal;
-	//    font-size: 1.16em;
 }
 
@@ -209,5 +203,4 @@
 button.disabled,
 button[type=submit].disabled {
-	text-shadow: none;
 	color: #676e78;
 	background: #F5F5F5;
@@ -238,5 +231,4 @@
 	font-size: 0.825em;
 	color: #333;
-	text-shadow: none;
 	background: #fff;
 	box-shadow: none;
@@ -281,5 +273,4 @@
 .addMeta button:not(.metaGetMore),
 .addMeta a:not(.metaGetMore) {
-	text-shadow: initial;
 	box-shadow: initial;
 	margin-bottom: 2px;
Index: admin/style/scss/partials/_common.scss
===================================================================
--- admin/style/scss/partials/_common.scss	(revision 3503)
+++ admin/style/scss/partials/_common.scss	(revision 3500)
@@ -2,36 +2,38 @@
 
 :root {
-    // May be superseed by user pref (typically from 50% to 75%, default 62.5%)
-    --html-font-size: #{$html-font-size};
+	// May be superseed by user pref (typically from 50% to 75%, default 62.5%)
+	--html-font-size: #{$html-font-size};
 }
 
 // base //
 html {
-    font-size: $html-font-size; // html font-size for IE and Edge
-    font-size: var(--html-font-size); // html font-size for modern browsers
+	font-size: $html-font-size; // html font-size for IE and Edge
+	font-size: var(--html-font-size); // html font-size for modern browsers
 }
 
 body {
-    font-size: $body-font-size;
-    line-height: 1.5;
-    @media screen and(max-width: $small-screen) {
-        font-size: $body-font-size-small;
-        line-height: 1.3;
-    }
-    @media screen and(min-width: $large-screen) {
-        font-size: $body-font-size-large;
-        line-height: 1.5;
-    }
-    @media screen and(min-width: $small-screen) and (max-width: $large-screen) {
-        font-size: calc( #{$body-font-size-small} + #{strip-unit($body-font-size-large - $body-font-size-small)} * (100vw - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}rem) / (#{strip-unit(relative-to-screen($large-screen,$html-font-size))} - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}));
-        line-height: calc( 1.3em + (1.5 - 1.3) * (100vw - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}rem) / (#{strip-unit(relative-to-screen($large-screen,$html-font-size))} - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}));
-    }
-    font-family: $sans-serif;
+	font-size: $body-font-size;
+	line-height: 1.5;
+	font-family: $sans-serif;
+	&.responsive-font {
+		@media screen and(max-width: $small-screen) {
+			font-size: $body-font-size-small;
+			line-height: 1.3;
+		}
+		@media screen and(min-width: $large-screen) {
+			font-size: $body-font-size-large;
+			line-height: 1.5;
+		}
+		@media screen and(min-width: $small-screen) and (max-width: $large-screen) {
+			font-size: calc( #{$body-font-size-small} + #{strip-unit($body-font-size-large - $body-font-size-small)} * (100vw - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}rem) / (#{strip-unit(relative-to-screen($large-screen,$html-font-size))} - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}));
+			line-height: calc( 1.3em + (1.5 - 1.3) * (100vw - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}rem) / (#{strip-unit(relative-to-screen($large-screen,$html-font-size))} - #{strip-unit(relative-to-screen($small-screen,$html-font-size))}));
+		}
+	}
 }
 
 #wrapper {
-    @media screen and (max-width: $small-screen) {
-        font-size: 1.2em;
-    }
+	@media screen and (max-width: $small-screen) {
+		font-size: 1.2em;
+	}
 }
 
@@ -44,37 +46,37 @@
 h5,
 h6 {
-    margin-top: 0;
-    margin-bottom: 1em;
+	margin-top: 0;
+	margin-bottom: 1em;
 }
 
 h2 {
-    font-size: 1.5em;
-    font-weight: normal;
-    line-height: 1.25;
-    padding: 0 0 1.5em;
+	font-size: 1.5em;
+	font-weight: normal;
+	line-height: 1.25;
+	padding: 0 0 1.5em;
 }
 
 h3,
 .as_h3 {
-    font-size: 1.34em;
-    font-weight: normal;
-    line-height: 1.5;
-    margin-top: 1em;
+	font-size: 1.34em;
+	font-weight: normal;
+	line-height: 1.5;
+	margin-top: 1em;
 }
 
 h4,
 .as_h4 {
-    font-size: 1.16em;
-    line-height: 1.5;
+	font-size: 1.16em;
+	line-height: 1.5;
 }
 
 h5 {
-    font-size: 1em;
-    line-height: 1.5;
-    font-weight: bold;
+	font-size: 1em;
+	line-height: 1.5;
+	font-weight: bold;
 }
 
 h6 {
-    font-size: 1em;
-    line-height: 1.5;
+	font-size: 1em;
+	line-height: 1.5;
 }
Index: admin/style/scss/partials/_entry.scss
===================================================================
--- admin/style/scss/partials/_entry.scss	(revision 3439)
+++ admin/style/scss/partials/_entry.scss	(revision 3513)
@@ -1,16 +1,34 @@
+#entry-form {
+	display: flex;
+	flex-wrap: wrap;
+}
+
 #entry-wrapper {
-	float: left;
-	width: 100%;
-	margin-right: -16em;
+	flex-grow: 1;
+	width: calc(100% - 19em);
+	@media screen and (max-width: $xl-screen) {
+		width: 100%;
+	}
 }
 
 #entry-content {
-	margin-right: 18em;
 	margin-left: 0;
+	padding-right: 3em;
+	@media screen and (max-width: $xs-screen) {
+		padding-right: 1em;
+	}
 }
 
 #entry-sidebar {
-	width: 16em;
-	float: right;
+	display: flex;
+	flex-wrap: wrap;
+	flex-direction: column;
+	@media screen and (max-width: $xl-screen) {
+		flex-direction: row;
+	}
+	@media screen and (max-width: $xs-screen) {
+		padding-right: 1em;
+	}
+
 	h4 {
 		font-size: 1.08em;
@@ -26,6 +44,9 @@
 
 .sb-box {
-	border-bottom: 1px solid #dfdfdf;
+	width: 18em;
 	margin-bottom: 1em;
+	margin-right: 1em;
+	padding: .5em 1em;
+	background-color: $secondary-background;
 }
 
Index: admin/style/scss/partials/_layout.scss
===================================================================
--- admin/style/scss/partials/_layout.scss	(revision 3439)
+++ admin/style/scss/partials/_layout.scss	(revision 3513)
@@ -400,17 +400,4 @@
 		margin-right: 0;
 	}
-	#entry-wrapper {
-		float: none;
-		width: 100%;
-		margin-right: 0;
-	}
-	#entry-content {
-		margin-right: 0;
-		margin-left: 0;
-	}
-	#entry-sidebar {
-		width: 100%;
-		float: none;
-	}
 }
 
Index: admin/style/scss/partials/_main-menu.scss
===================================================================
--- admin/style/scss/partials/_main-menu.scss	(revision 3439)
+++ admin/style/scss/partials/_main-menu.scss	(revision 3513)
@@ -85,5 +85,4 @@
 		border-top-left-radius: 0;
 		border-bottom-left-radius: 0;
-		text-shadow: none;
 		border: none;
 		border-left: 1px solid #999;
Index: admin/style/scss/partials/_markup.scss
===================================================================
--- admin/style/scss/partials/_markup.scss	(revision 3439)
+++ admin/style/scss/partials/_markup.scss	(revision 3513)
@@ -53,5 +53,4 @@
 	font-weight: bold;
 	color: #333;
-	text-shadow: 0 1px 0 rgba(200, 200, 200, 0.6)
 }
 
Index: admin/style/scss/partials/_messages.scss
===================================================================
--- admin/style/scss/partials/_messages.scss	(revision 3460)
+++ admin/style/scss/partials/_messages.scss	(revision 3513)
@@ -9,5 +9,4 @@
 	line-height: 1.5em;
 	border-radius: 3px;
-	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6)
 }
 
@@ -63,5 +62,4 @@
 	background: #FFBABA url(msg-error.png) no-repeat .7em .7em;
 	color: #000;
-	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6);
 }
 
@@ -82,5 +80,4 @@
 .warning-msg {
 	color: #000;
-	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6)
 }
 
@@ -126,5 +123,4 @@
 	border-radius: 8px;
 	background: #A2CBE9 url(msg-success.png) no-repeat .7em .7em;
-	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.6);
 	color: #000;
 	box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1);