Index: locales/fr/help/core_blog_pref.html
===================================================================
--- locales/fr/help/core_blog_pref.html	(revision 104)
+++ locales/fr/help/core_blog_pref.html	(revision 60)
@@ -66,10 +66,10 @@
   "formatage des dates" pour plus détails.</dd>
   
-  <dt>Laisser les commentaires ouverts durant .. jours</dt>
+  <dt>Laisser les commentaires ouvert durant .. jours</dt>
   <dd>Permet d'indiquer le nombre de jours durant lesquels les commentaires
   sont possibles sur un billet après sa publication. Aucune valeur laissera
   les commentaires toujours ouverts.</dd>
   
-  <dt>Laisser les rétroliens ouverts durant .. jours</dt>
+  <dt>Laisser les rétroliens ouvert durant .. jours</dt>
   <dd>Permet d'indiquer le nombre de jours durant lesquels les rétroliens
   sont possibles sur un billet après sa publication. Aucune valeur laissera
@@ -105,6 +105,6 @@
   page d'accueil et la première page de chaque catégorie.</dd>
   
-  <dt>Afficher des émoticônes dans les billets et commentaires</dt>
-  <dd>Remplacer certaines suites de caractères comme :-) ou ;-) par des images.</dd>
+  <dt>Afficher des émoticones dans les billets et commentaires</dt>
+  <dd>Remplacer certains symboles comme :-) ou ;-) en image.</dd>
   
   <dt>Afficher .. billets par flux de syndication</dt>
Index: locales/fr/help/core_media.html
===================================================================
--- locales/fr/help/core_media.html	(revision 102)
+++ locales/fr/help/core_media.html	(revision 59)
@@ -6,9 +6,9 @@
 <body>
 
-<h3>Liste des médias</h3>
-<p>La page principale du gestionnaire de médias présente la liste des fichiers
-(médias) disponibles pour le blog en cours d'utilisation.</p>
+<h3>Liste des media</h3>
+<p>La page principale du gestionnaire de media présente la liste des fichiers
+(media) disponibles pour le blog en cours d'utilisation.</p>
 
-<p>Il est possible d'afficher les médias dans des répertoires ou sous
+<p>Il est possible d'afficher les media dans des répertoires ou sous
 répertoires en cliquant sur leurs icônes ou leurs noms.</p>
 
@@ -38,6 +38,6 @@
 ordinateur.</p>
 
-<h3>Détails du média</h3>
-<p>La page individuelle d'un média présente un ensemble d'informations sur
+<h3>Détails du media</h3>
+<p>La page individuelle d'un media présente un ensemble d'informations sur
 celui-ci et permet d'effectuer quelques opérations.</p>
 
@@ -53,5 +53,5 @@
   
   <dt>Privé</dt>
-  <dd>Changer le caractère privé ou non du média.</dd>
+  <dd>Changer le caractère privé ou nom du média.</dd>
   
   <dt>Nouveau répertoire</dt>
@@ -68,16 +68,16 @@
 être disponibles (selon la taille de l'image d'origine)&nbsp;:</p>
 <ul>
-  <li><strong>carrée</strong>&nbsp;: image carrée de 48 pixels de côté,</li>
-  <li><strong>miniature</strong>&nbsp;: image réduite à 100 pixels sur son plus grand côté,</li>
-  <li><strong>petite</strong>&nbsp;: image réduite à 240 pixels sur son plus grand côté,</li>
-  <li><strong>moyenne</strong>&nbsp;: image réduite à 500 pixes sur son plus grand côté,</li>
+  <li><strong>square</strong>&nbsp;: carré de 48 pixels de côté,</li>
+  <li><strong>thumbnail</strong>&nbsp;: image réduite à 100 pixels sur son plus grand côté,</li>
+  <li><strong>small</strong>&nbsp;: image réduite à 240 pixels sur son plus grand côté,</li>
+  <li><strong>medium</strong>&nbsp;: image réduite à 500 pixes sur son plus grand côté,</li>
   <li><strong>originale</strong>&nbsp;: image originale non transformée.</li>
 </ul>
-<p>Les tailles par défaut des versions miniature, petite et moyenne, peuvent être modifiées dans les paramètres du blog</p>
+<p>La taille par défaut des 4 dernières versions peut être indiquée dans les paramètres du blog</p>
 
 <h3>Attacher un fichier à un billet</h3>
 <p>Vous pouvez attacher un fichier à un billet très facilement. Commencez par
 créer un nouveau billet et enregistrez-le. Cliquez alors sur "ajouter un fichier
-au billet" pour ouvrir le gestionnaire de médias.</p>
+au billet" pour ouvrir le gestionnaire de media.</p>
 
 <p>En cliquant sur l'icône [+] (Attacher un fichier au billet) vous pourrez
Index: locales/fr/help/core_post.html
===================================================================
--- locales/fr/help/core_post.html	(revision 104)
+++ locales/fr/help/core_post.html	(revision 0)
@@ -50,5 +50,5 @@
   <dd>Permet de choisir la syntaxe de saisie du billet. Le wiki est une syntaxe
   simplifiée et sera converti en xhtml valide ; à moins que vous maîtrisiez
-  parfaitement le xhtml nous vous conseillons de la choisir de préférence.
+  parfaitement le HTML nous vous conseillons de la choisir de préférence.
   Consultez la référence de la syntaxe Wiki pour plus
   d'informations.</dd>
Index: locales/fr/help/core_user_pref.html
===================================================================
--- locales/fr/help/core_user_pref.html	(revision 105)
+++ locales/fr/help/core_user_pref.html	(revision 114)
@@ -13,5 +13,5 @@
   
   <dt>Pseudonyme</dt>
-  <dd>Vous pouvez choisir ici le nom sous lequel vos billets seront signés. S'il est renseigné, le pseudonyme se substitue au nom et au prénom.</dd>
+  <dd>Vous pouvez choisir ici le nom sous lequel vos billets seront signés.</dd>
   
   <dt>Email</dt>
@@ -34,5 +34,5 @@
   dans les champs <em>Nouveau mot de passe</em> et <em>Confirmer le mot de 
   passe</em>. Le mot de passe doit être long d'au moins 6 caractères. 
-  Si aucun mot de passe n'est spécifié, il ne sera pas changé.</dd>
+  Si aucun mot de passe n'est donné, celui-ci ne sera pas changé.</dd>
 </dl>
   
@@ -42,5 +42,5 @@
   <dd>Choix de la syntaxe par défaut pour la saisie des billets. Le wiki est une
   syntaxe simplifiée et sera converti en xhtml valide&nbsp;; à moins que vous ne
-  maîtrisiez parfaitement le xhtml, nous vous conseillons le choix du wiki.</dd>
+  maîtrisiez parfaitement le HTML nous vous conseillons le choix du wiki.</dd>
   
   <dt>État des billets par défaut</dt>
@@ -83,5 +83,5 @@
   <dd>Tous les plugins permettant d'être mis en favoris sont listés ici. 
   Cochez les cases correspondantes aux favoris que vous souhaitez utiliser, puis ajoutez-les.</dd>
-</dl>
+  </dl>
 </body>
 </html>