Index: .hgtags
===================================================================
--- .hgtags	(revision 827)
+++ .hgtags	(revision 800)
@@ -6,3 +6,2 @@
 0000000000000000000000000000000000000000 2.4.2
 6b3942c0cf7eee71ebd906ec0827c5962823dedf 2.4.2
-36578fa779919f730e714e10041b1f896e56a8f4 2.4.3
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 826)
+++ inc/prepend.php	(revision 801)
@@ -123,5 +123,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.4.3');
+define('DC_VERSION','2.5-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: themes/ductile/_public.php
===================================================================
--- themes/ductile/_public.php	(revision 815)
+++ themes/ductile/_public.php	(revision 828)
@@ -28,16 +28,21 @@
 	public static function ductileNbEntryPerPage($attr)
 	{
-		global $core;
-
+		return '<?php tplDuctileTheme::ductileNbEntryPerPageHelper(); ?>';
+	}
+	
+	public static function ductileNbEntryPerPageHelper()
+	{
+		global $_ctx;
+		
 		$nb = 0;
-		$s = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_entries_counts');
+		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_entries_counts');
 		if ($s !== null) {
 			$s = @unserialize($s);
 			if (is_array($s)) {
-				if (isset($s[$core->url->type])) {
+				if (isset($s[$GLOBALS['core']->url->type])) {
 					// Nb de billets par page défini par la config du thème
-					$nb = (integer) $s[$core->url->type];
+					$nb = (integer) $s[$GLOBALS['core']->url->type];
 				} else {
-					if (($core->url->type == 'default-page') && (isset($s['default']))) {
+					if (($GLOBALS['core']->url->type == 'default-page') && (isset($s['default']))) {
 						// Les pages 2 et suivantes de la home ont le même nombre de billet que la première page
 						$nb = (integer) $s['default'];
@@ -55,5 +60,5 @@
 
 		if ($nb > 0)
-			return '<?php $_ctx->nb_entry_per_page = '.$nb.' ; ?>';
+			$_ctx->nb_entry_per_page = $nb;
 	}
 	
@@ -86,25 +91,49 @@
 	{
 		global $core;
+		
 		$default = isset($attr['default']) ? trim($attr['default']) : 'short';
-
-		$model = '';
-		$s = $core->blog->settings->themes->get($core->blog->settings->system->theme.'_entries_lists');
+		return '<?php '."\n".
+			'switch (tplDuctileTheme::ductileEntriesListHelper(\''.$default.'\')) {'."\n".
+			'	case \'title\':'."\n".
+			' ?>'."\n".
+					$core->tpl->includeFile(array('src' => '_entry-title.html'))."\n".
+			'<?php '."\n".
+			'		break;'."\n".
+			'	case \'short\':'."\n".
+			' ?>'."\n".
+					$core->tpl->includeFile(array('src' => '_entry-short.html'))."\n".
+			'<?php '."\n".
+			'		break;'."\n".
+			'	case \'full\':'."\n".
+			' ?>'."\n".
+					$core->tpl->includeFile(array('src' => '_entry-full.html'))."\n".
+			'<?php '."\n".
+			'		break;'."\n".
+			'}'."\n".
+			' ?>';
+	}
+	
+	public static function ductileEntriesListHelper($default)
+	{
+		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_entries_lists');
 		if ($s !== null) {
 			$s = @unserialize($s);
 			if (is_array($s)) {
-				if (isset($s[$core->url->type])) {
-					$model = $s[$core->url->type];
-				}
-			}
-		}
-
-		$local_attr = array('src' => '_entry-'.($model ? $model : $default).'.html');
-		return $core->tpl->includeFile($local_attr);
+				if (isset($s[$GLOBALS['core']->url->type])) {
+					$model = $s[$GLOBALS['core']->url->type];
+					return $model;
+				}
+			}
+		}
+		return $default;
 	}
 
 	public static function ductileLogoSrc($attr)
 	{
-		global $core;
-
+		return '<?php echo tplDuctileTheme::ductileLogoSrcHelper(); ?>';
+	}
+
+	public static function ductileLogoSrcHelper()
+	{
 		$s = $GLOBALS['core']->blog->settings->themes->get($GLOBALS['core']->blog->settings->system->theme.'_style');
 		if ($s === null) {
@@ -116,5 +145,5 @@
 		}
 		
-		$img_url = $core->blog->settings->system->themes_url.'/'.$core->blog->settings->system->theme.'/img/logo.png';
+		$img_url = $GLOBALS['core']->blog->settings->system->themes_url.'/'.$GLOBALS['core']->blog->settings->system->theme.'/img/logo.png';
 		if (isset($s['logo_src'])) {
 			if ($s['logo_src'] !== null) {
@@ -125,5 +154,5 @@
 					} else {
 						// relative URL (base = img folder of ductile theme)
-						$img_url = $core->blog->settings->system->themes_url.'/'.$core->blog->settings->system->theme.'/img/'.$s['logo_src'];
+						$img_url = $GLOBALS['core']->blog->settings->system->themes_url.'/'.$GLOBALS['core']->blog->settings->system->theme.'/img/'.$s['logo_src'];
 					}
 				}